export default {
  path: "school",
  component: () => import("@/views/schoolSection/index.vue"),
  name: "school",
  meta: {
    keepAlive: true,
    isAuth: true,
    title: "学校管控"
  },
  redirect: {
    path: "/school/home"
  },
  children: [
    {
      path: "home",
      component: () => import("@/views/schoolSection/home/index.vue"),
      name: "home",
      meta: {
        keepAlive: true,
        isAuth: true,
        title: "学校管控-首页"
      }
    },
    {
      path: "applicationList",
      component: () =>
        import("@/views/schoolSection/applicationManage/applicationList.vue"),
      name: "applicationList",
      meta: {
        keepAlive: true,
        isAuth: true,
        title: "学校管控-应用列表"
      }
    },
    {
      path: "greenBrowser",
      component: () =>
        import("@/views/schoolSection/applicationManage/greenBrowser.vue"),
      name: "greenBrowser",
      meta: {
        keepAlive: true,
        isAuth: true,
        title: "学校管控-绿色浏览器访问网址"
      }
    },
    {
      path: "userManage",
      component: () =>
        import("@/views/schoolSection/userManage/userManage.vue"),
      name: "userManage",
      meta: {
        keepAlive: true,
        isAuth: true,
        title: "学校管控-用户管理"
      }
    },
    {
      path: "strategyManage",
      component: () =>
        import("@/views/schoolSection/strategy/strategyManage.vue"),
      name: "strategyManage",
      meta: {
        keepAlive: true,
        isAuth: true,
        title: "学校管控-策略管理"
      }
    },
    {
      path: "strategyTemplate",
      component: () =>
        import("@/views/schoolSection/strategy/strategyTemplate.vue"),
      name: "strategyTemplate",
      meta: {
        keepAlive: true,
        isAuth: true,
        title: "学校管控-策略模版"
      }
    },
    {
      path: "applicationStrategy",
      component: () =>
        import(
          "@/views/schoolSection/applicationStrategy/applicationStrategy.vue"
        ),
      name: "applicationStrategy",
      meta: {
        keepAlive: true,
        isAuth: true,
        title: "学校管控-应用策略"
      }
    },
    {
      path: "deviceManage",
      component: () =>
        import("@/views/schoolSection/deviceManage/deviceManage.vue"),
      name: "deviceManage",
      meta: {
        keepAlive: true,
        isAuth: true,
        title: "学校管控-设备管理"
      }
    },
    {
      path: "breakRuleDevice",
      component: () =>
        import("@/views/schoolSection/deviceManage/breakRuleDevice.vue"),
      name: "breakRuleDevice",
      meta: {
        keepAlive: true,
        isAuth: true,
        title: "学校管控-违规设备"
      }
    },
    {
      path: "outControlDevice",
      component: () =>
        import("@/views/schoolSection/deviceManage/outControlDevice.vue"),
      name: "outControlDevice",
      meta: {
        keepAlive: true,
        isAuth: true,
        title: "学校管控-疑似脱管设备"
      }
    },
    {
      path: "removeControlDevice",
      component: () =>
        import("@/views/schoolSection/deviceManage/removeControlDevice.vue"),
      name: "removeControlDevice",
      meta: {
        keepAlive: true,
        isAuth: true,
        title: "学校管控-解除管控设备"
      }
    },
    {
      path: "parentControlDevice",
      component: () =>
        import("@/views/schoolSection/deviceManage/parentControlDevice.vue"),
      name: "parentControlDevice",
      meta: {
        keepAlive: true,
        isAuth: true,
        title: "学校管控-家长管控设备"
      }
    },
    {
      path: "inLineDevice",
      component: () =>
        import("@/views/schoolSection/deviceManage/inLineDevice.vue"),
      name: "inLineDevice",
      meta: {
        keepAlive: true,
        isAuth: true,
        title: "学校管控-在线设备"
      }
    },
    {
      path: "whitelistLibrary",
      component: () =>
        import("@/views/schoolSection/networkManage/whitelistLibrary.vue"),
      name: "whitelistLibrary",
      meta: {
        keepAlive: true,
        isAuth: true,
        title: "学校管控-白名单库"
      }
    },
    {
      path: "whitelist",
      component: () =>
        import("@/views/schoolSection/networkManage/whitelist.vue"),
      name: "whitelist",
      meta: {
        keepAlive: true,
        isAuth: true,
        title: "学校管控-网址白名单"
      }
    },
    {
      path: "wallpaper",
      component: () => import("@/views/schoolSection/setting/wallpaper.vue"),
      name: "wallpaper",
      meta: {
        keepAlive: true,
        isAuth: true,
        title: "学校管控-壁纸"
      }
    },
    {
      path: "logo",
      component: () => import("@/views/schoolSection/setting/logo.vue"),
      name: "logo",
      meta: {
        keepAlive: true,
        isAuth: true,
        title: "学校管控-LOGO"
      }
    },
    {
      path: "device",
      component: () => import("@/views/schoolSection/setting/device.vue"),
      name: "device",
      meta: {
        keepAlive: true,
        isAuth: true,
        title: "学校管控-设备设置"
      }
    },
    {
      path: "admin",
      component: () => import("@/views/schoolSection/log/admin.vue"),
      name: "admin",
      meta: {
        keepAlive: true,
        isAuth: true,
        title: "学校管控-管理员日志"
      }
    },
    {
      path: "devicePush",
      component: () => import("@/views/schoolSection/log/devicePush.vue"),
      name: "devicePush",
      meta: {
        keepAlive: true,
        isAuth: true,
        title: "学校管控-设备推送日志"
      }
    },
    {
      path: "deviceLocation",
      component: () => import("@/views/schoolSection/log/deviceLocation.vue"),
      name: "deviceLocation",
      meta: {
        keepAlive: true,
        isAuth: true,
        title: "学校管控-设备位置日志"
      }
    },
    {
      path: "deviceEvents",
      component: () => import("@/views/schoolSection/log/deviceEvents.vue"),
      name: "deviceEvents",
      meta: {
        keepAlive: true,
        isAuth: true,
        title: "学校管控-设备事件日志"
      }
    },
    {
      path: "violatingDevice",
      component: () => import("@/views/schoolSection/log/violatingDevice.vue"),
      name: "violatingDevice",
      meta: {
        keepAlive: true,
        isAuth: true,
        title: "学校管控-违规设备日志"
      }
    },
    {
      path: "applicationDownload",
      component: () =>
        import("@/views/schoolSection/log/applicationDownload.vue"),
      name: "applicationDownload",
      meta: {
        keepAlive: true,
        isAuth: true,
        title: "学校管控-应用下载日志"
      }
    },
    {
      path: "appLaunch",
      component: () => import("@/views/schoolSection/log/appLaunch.vue"),
      name: "appLaunch",
      meta: {
        keepAlive: true,
        isAuth: true,
        title: "学校管控-应用启动日志"
      }
    },
    {
      path: "deviceInstallation",
      component: () =>
        import("@/views/schoolSection/log/deviceInstallation.vue"),
      name: "deviceInstallation",
      meta: {
        keepAlive: true,
        isAuth: true,
        title: "学校管控-设备已安装应用"
      }
    },
    {
      path: "deviceExport",
      component: () => import("@/views/schoolSection/log/deviceExport.vue"),
      name: "deviceExport",
      meta: {
        keepAlive: true,
        isAuth: true,
        title: "学校管控-设备导出"
      }
    },
    {
      path: "notice",
      component: () => import("@/views/schoolSection/notice/notice.vue"),
      name: "notice",
      meta: {
        keepAlive: true,
        isAuth: true,
        title: "学校管控-公告"
      }
    }
  ]
};
